Retrieves the document OCR results and MRZ data.
GET https://api.screenlyyid.com/api/v1/data/{sessionId}/document/resultCopy URL
Name Type Required Description x-api-keystring Yes Your ScreenlyyID API key x-correlation-idstring (uuid) Yes Correlation ID for this customer check
Path parameters#
Name Type Required Description sessionIdstring Yes
Responses#
Status Description 200Successful response
Response body (200)#
Field Type Required Description Countrystring No DocumentTypestring No DocumentVisualResultsarray of object No DocumentVisualResults[].Namestring No DocumentVisualResults[].Valuestring No DocumentVisualResults[].Confidencestring No DocumentVisualResults[].PageSidestring No DocumentMrzResultsarray of object No DocumentMrzResults[].Namestring No DocumentMrzResults[].Valuestring No AvailableImagesarray of string No
Code samples#
cURL JavaScript Python C# Copy
curl --request GET \
--url 'https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/document/result' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'x-correlation-id: YOUR_CORRELATION_ID'const response = await fetch(
"https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/document/result",
{
"method": "GET",
"headers": {
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID"
}
}
);
const result = await response.json();import requests
response = requests.get(
'https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/document/result',
headers={
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID"
}
)
result = response.json()using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
client.DefaultRequestHeaders.Add("x-correlation-id", "YOUR_CORRELATION_ID");
var response = await client.GetAsync("https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/document/result");
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();